{% extends 'base.html.twig' %}
{% block topbar %}
    {{ parent() }}
    {% include 'topbar/choix_topbar2.html.twig' %}
    {% include topbar3 %}
{% endblock %}
{% block body %}
    <div class="container-fluid" style="margin-top: //50px">
        <h3>Grille d'analyse rapports expert {{ statut|upper }}</h3>
        <div class="container" style="margin-top: 50px">
            {% if rapports|length > 0 %}
                <b>Choisissez un rapport</b>
                <ul class="list-group" style="margin-top: 10px">
                    {% for rapport in rapports %}
                        <a href='{{ base_url }}/statuts/{{ statut }}/grille_analyse_{{ statut }}/edit/{{rapport.id}}'>
                            <button class="list-group-item {% if rapport.grilleAnalyse.differee == null and not rapport.grilleAnalyse.diffusee and date(rapport.date_reception) <= date('-6days') %} list-group-item-danger{% endif %} {% if rapport.grilleAnalyse.diffusee or rapport.grilleAnalyse.differee != null %}list-group-item-success{% endif %}" style="cursor: pointer">
                                <b>{{rapport.nom_public}}</b><br>
                                date reception : {{rapport.date_reception|date('d/m/Y')}}
                                {% if rapport.grilleAnalyse.differee == null and not rapport.grilleAnalyse.diffusee and date(rapport.date_reception) <= date('-6days') and date(rapport.date_reception) > date('-8days') %}<span class="pull-right"> Plus que {{9 - (date()|date('U') - rapport.date_reception|date('U'))|date('d')}} jour(s) pour envoyer la grille d'analyse{% endif %}</span>
                                {% if rapport.grilleAnalyse.differee == null and not rapport.grilleAnalyse.diffusee and date(rapport.date_reception) < date('-8days') %}<span class="pull-right">[Urgent]</span>{% endif %}
                                {% if rapport.grilleAnalyse.differee != null and not rapport.grilleAnalyse.diffusee %}<span class="pull-right">[Diffusion prévue le {{ rapport.grilleAnalyse.differee|date('d/m/Y') }}]</span>{% endif %}
                                {% if rapport.grilleAnalyse.diffusee %}<span class="pull-right">[Grille d'analyse diffusée]</span>{% endif %}
                            </button></a>
                        {% endfor %}
                </ul>
            {% else %}
                <b>Aucun document de type 'rapport expert' trouvé.</b>
                {% endif %}
        </div>
    </div>
{% endblock %}